
<div class="row">
  <div class="col-sm-12">
    <app-card [hidHeader]="true" cardClass="tab-card">
      <button type="button" class="btn btn-outline-primary  float-right" (click)="isCollapsed = !isCollapsed" [attr.aria-expanded]="!isCollapsed" aria-controls="collapseExample"><i class="feather icon-download-cloud "></i>Scrap Settings</button>
      <div id="collapseExample" [ngbCollapse]="isCollapsed">
        <div class="row">
          <div class="col-sm-12">
            <app-card [hidHeader]="true" >



              <h6 class="mt-5">Enter a site name</h6>
              <div class="form-row">

              <div class="form-group col-md-6">


                <input type="text" class="form-control"  placeholder="Site Name" [(ngModel)]="company" >
              </div>
            </div>
              <div class="row">

                <div class="col-md-6">

                  <h6 class="mt-3">Social Media</h6>

                  <div class="custom-control custom-switch">

                    <input type="checkbox" class="custom-control-input" id="Facebook" (change)="checkCheckBoxvalue($event)">
                    <label class="custom-control-label" for="Facebook"> Facebook</label>
                  </div>
                  <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input" id="Twitter" (change)="checkCheckBoxvalue($event)">
                    <label class="custom-control-label" for="Twitter">Twitter</label>
                  </div>
                  <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input" id="LinkedInP" (change)="checkCheckBoxvalue($event)">
                    <label class="custom-control-label" for="LinkedInP">LinkedIn Posts</label>
                  </div>
                  <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input" id="Instagram" (change)="checkCheckBoxvalue($event)">
                    <label class="custom-control-label" for="Instagram">Instagram</label>
                  </div>

                </div>
                <div class="col-md-6">
                  <h6 class="mt-3">Sites</h6>

                  <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input" id="Indeed" (change)="checkCheckBoxvalue($event)">
                    <label class="custom-control-label" for="Indeed">Indeed</label>
                  </div>
                  <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input" id="Glassdoor" (change)="checkCheckBoxvalue($event)">
                    <label class="custom-control-label" for="Glassdoor">Glassdoor</label>
                  </div>
                  <div class="custom-control custom-switch">
                    <input type="checkbox" class="custom-control-input" id="LinkedInJ" (change)="checkCheckBoxvalue($event)">
                    <label class="custom-control-label" for="LinkedInJ">LinkedIn Jobs</label>
                  </div>
                </div>
              </div>




              <!--<h6 class="mt-5">Enter keywords</h6>

              <div class="row">
                <div class="col-sm-12">

                  <textarea class="form-control" aria-label="With textarea"></textarea>

                </div>

              </div> !-->
              <button class="btn  btn-info event-btn m-2" type="button" (click)="onScrap()">
                <span *ngIf="this.submitLoader" class="spinner-grow spinner-grow-sm" role="status"></span>
                <span *ngIf="this.submitLoader" class="load-text"> Loading...</span>
                <span *ngIf="!this.submitLoader" class="btn btn-info">Scrap Now</span>
              </button>
              <button class="btn btn-success event-btn m-2" type="button" (click)="onDownload()">


                <span *ngIf="this.submitLoaderDown" class="spinner-grow spinner-grow-sm" role="status"></span>
                <span *ngIf="this.submitLoaderDown" class="load-text"> Loading...</span>
                <span *ngIf="!this.submitLoaderDown" class="btn btn-success">Downlaod Scraping</span>



                </button>

            </app-card>

          </div>

        </div>

      </div>
      <ngb-tabset>
        <ngb-tab title="General">
          <ng-template ngbTabContent>
            <div class="row">



              <!-- order-card start -->
              <div class="col-md-6 col-xl-3" >
                <app-card [hidHeader]="true" cardClass="bg-c-blue order-card" >
                  <h6 class="text-white">No of Medium articles</h6>
                  <h2 class="text-right text-white"><i class="fas fa-comments float-left"></i>
                    <div ><span>{{infs['total_articles']}}</span></div>
                  </h2>

                </app-card>
              </div>
              <div class="col-md-6 col-xl-3" >
                <app-card [hidHeader]="true" cardClass="bg-c-green order-card">
                  <h6 class="text-white">No of IEEE articles</h6>
                  <h2 class="text-right text-white"><i class="fas fa-comments float-left"></i>
                    <div ><span>{{infp['total_articles']}}</span></div>
                  </h2>
                </app-card>
              </div>
              <div class="col-md-6 col-xl-3">
                <app-card [hidHeader]="true" cardClass="bg-c-yellow order-card">
                  <h6 class="text-white">Medium : AVG reading time</h6>
                  <h2 class="text-right text-white"><i class="fas fa-comments float-left"></i>
                    <div ><span>{{infs['average_reading_time']}}</span></div>
                  </h2>
                </app-card>
              </div>
              <div class="col-md-6 col-xl-3">
                <app-card [hidHeader]="true" cardClass="bg-c-red order-card">
                  <h6 class="text-white">IEEE : AVG reading time</h6>
                  <h2 class="text-right text-white"><i class="fas fa-comments float-left"></i>
                    <div ><span>{{infp['average_reading_time']}}</span></div>
                  </h2>
                </app-card>
              </div>
              <div class="col-md-6 col-lg-4">
                <app-card [hidHeader]="true" blockClass="text-center">
                  <div class="col text-left">
                          <h6 class="mb-0">Engagement Rate</h6>
                          <span class="text-c-red">{{eri}}<i class="fas fa-chart-line ml-1"></i></span>
                        </div>

                  <i class="fab fa-instagram text-c-red d-block f-40 "></i>
                  <h4 class="m-t-20"><span class="text-c-red">
                    <div *ngFor= "let s of social">{{s[3]}}</div>

                    </span>Subscribers
                  </h4>



                </app-card>
              </div>

              <div class="col-md-6 col-lg-4">
                <app-card [hidHeader]="true" blockClass="text-center">
                  <div class="col text-left">
                    <h6 class="mb-0">Number of videos</h6>
                    <span class="text-c-red">{{erl}}<i class="fas fa-chart-line ml-1"></i></span>
                  </div>
                  <i class="fab fa-youtube text-c-red d-block f-40"></i>
                  <h4 class="m-t-20"><span class="text-c-red"><div  *ngFor= "let s of social">{{s[0]}}</div></span> Videos</h4>


                </app-card>
              </div>
              <div class="col-md-6 col-lg-4">
                <app-card [hidHeader]="true" blockClass="text-center">
                  <div class="col text-left">
                    <h6 class="mb-0">Number of tweets</h6>
                    <span class="text-c-blue">{{ert}}<i class="fas fa-chart-line ml-1"></i></span>
                  </div>
                  <i class="fab fa-twitter text-c-blue d-block f-40"></i>
                  <h4 class="m-t-20"><span class="text-c-blue"><div *ngFor= "let s of social">{{s[1]}}</div></span> Tweets</h4>


                </app-card>
              </div>
              <!-- order-card end -->

              <!-- account-section start -->

              <!-- [ Contextual-table ] start -->
              <div class="col-md-6">
                <app-card cardTitle="The most Influencial Sites" blockClass="table-border-style">
                  <div class="table-responsive">
                    <table class="table table-styling table-hover table-striped">
                      <thead>
                      <tr>
                        <th>#   Domain</th>

                        <th>Total</th>

                      </tr>
                      </thead>
                      <tbody>


                      <tr  *ngFor= "let item of infs_sites" >

                        <td> <a href = "{{item[0]}}"> {{item[0]}}</a></td>

                        <td> {{item[1]}}</td>


                      </tr>
                      </tbody>
                    </table>
                  </div>
                </app-card>
              </div>
              <!-- [ Contextual-table ] end -->
              <div class="col-md-6">
                <app-card  cardTitle="Trending Technologies" [options]="false">
                  <app-apex-chart chartID="pie-chart-9-cac" [chartConfig]="this.chartDB.pieTech"></app-apex-chart>
                </app-card>
              </div>

              <div class="col-md-6"  style="padding: 0px">
                <app-card cardTitle="Commonly Used Terms" blockClass="table-border-style" style="padding: 0px">
                  <img style="width: 100%" alt="My image name" src="{{wordcloud}}">

                </app-card>

              </div>
              <div class="col-md-6"  >
                <app-card cardTitle="General Posts Intents" blockClass="table-border-style" >
                  <app-apex-chart chartID="bar-chart-1-cac" [chartConfig]="this.chartDB.barIntent"></app-apex-chart>

                </app-card>

              </div>


            </div>


          </ng-template>
        </ngb-tab>
        <ngb-tab title="Sentiment">
          <ng-template ngbTabContent>
            <div class="col-sm-12">
              <div class="col-sm-12">
                <app-card cardTitle="Sentiment Analysis" [options]="false">
                  <app-apex-chart chartID="bar-chart-1-cac" [chartConfig]="this.chartDB.bar1CAC"></app-apex-chart>
                </app-card>
              </div>
              <div class="col-sm-12">
                <div class="row">
                  <div class="col-md-6">

                    <app-card [hidHeader]="true">
                      <div class="row">
                        <div class="col-md-6">
                          <span>Social Media Analysis</span>
                        </div>
                        <div class="col text-right">
                          <h2 class="mb-0">826</h2>
                          <span class="text-c-green">8.2%<i class="feather icon-trending-up ml-1"></i></span>
                        </div>
                      </div>
                      <app-apex-chart chartID="analytics-customer1-chart" [chartConfig]="this.chartDB.customerAnalytics1"></app-apex-chart>
                      <div class="row mt-3">
                        <div class="col">
                          <h3 class="m-0"><i class="far fa-smile-beam f-6 m-r-5 text-success"></i>674</h3>
                          <span class="ml-3">Positif</span>
                        </div>
                        <div class="col">
                          <h3 class="m-0"><i class="far fa-meh text-primary f-6 m-r-5"></i>182</h3>
                          <span class="ml-3">Neutral</span>
                        </div>
                        <div class="col">
                          <h3 class="m-0 "><i class="far fa-frown text-primary f-6 m-r-5 text-danger float-center"></i>182</h3>
                          <span class="ml-3">Negative</span>
                        </div>
                      </div>
                    </app-card>
                  </div>
                  <div class="col-md-6">
                    <app-card [hidHeader]="true" >
                      <div class="row">
                        <div class="col-md-6">
                          <span>Web Analysis</span>
                        </div>
                        <div class="col text-right">
                          <h2 class="mb-0 ">826</h2>
                          <span class="text-c-green">8.2%<i class="feather icon-trending-up ml-1"></i></span>
                        </div>
                      </div>
                      <app-apex-chart chartID="analytics-customer2-chart" [chartConfig]="this.chartDB.customerAnalytics2"></app-apex-chart>
                      <div class="row mt-3">
                        <div class="col">
                          <h3 class="m-0"><i class="far fa-smile-beam f-6 m-r-5 text-success"></i>674</h3>
                          <span class="ml-3">Positif</span>
                        </div>
                        <div class="col">
                          <h3 class="m-0"><i class="far fa-meh text-primary f-6 m-r-5"></i>182</h3>
                          <span class="ml-3">Neutral</span>
                        </div>
                        <div class="col">
                          <h3 class="m-0 "><i class="far fa-frown text-primary f-6 m-r-5 text-danger float-center"></i>182</h3>
                          <span class="ml-3">Negative</span>
                        </div>
                      </div>
                    </app-card>
                  </div>
                  <div class="col-sm-6">
                    <app-card cardTitle="Popular Positive Posts" blockClass="table-border-style">
                      <div class="table-responsive">
                        <table class="table table-styling table-hover table-striped ">
                          <thead>
                          <tr>
                            <th>Source</th>
                            <th>Link</th>
                            <th>Traffic</th>

                          </tr>
                          </thead>
                          <tbody>
                          <tr>
                            <td><i class="fab fa-facebook"></i></td>
                            <td><a href = "https://www.facebook.com/pwccarrieresfrance/posts/4769986553046691"> Link </a></td>
                            <td>1.3K <i class="fas fa-eye"></i></td>

                          </tr>

                          </tbody>
                        </table>
                      </div>
                    </app-card>
                  </div>
                  <div class="col-sm-6">
                    <app-card cardTitle="Popular Negative Posts" blockClass="table-border-style">
                      <div class="table-responsive">
                        <table class="table table-styling table-hover table-striped ">
                          <thead>
                          <tr>
                            <th>Source</th>
                            <th>Link</th>
                            <th>Traffic</th>

                          </tr>
                          </thead>
                          <tbody>
                          <tr>
                            <td><i class="fab fa-facebook"></i></td>
                            <td><a href = "https://www.facebook.com/pwccarrieresfrance/posts/4769986553046691"> Link </a></td>
                            <td>1.3K <i class="fas fa-eye"></i></td>

                          </tr>

                          </tbody>
                        </table>
                      </div>
                    </app-card>
                  </div>

                  </div>
              </div>
            </div>
          </ng-template>
        </ngb-tab>

        <ngb-tab title="Keywords">
          <ng-template ngbTabContent>
            <div class= "row">
            <div class="col-md-6"  style="padding: 0px">
              <app-card cardTitle="Trending Hashtags" blockClass="table-border-style" style="padding: 0px">
                <img style="width: 85%" alt="My image name" src="./assets/images/wordcloud/wordcloud_hashtags.png">

              </app-card>
            </div>
            <div class="col-md-6">
              <app-card  cardTitle="Trending Hashtags" [options]="false">
                <app-apex-chart chartID="pie-chart-8-cac" [chartConfig]="this.chartDB.pieHash"></app-apex-chart>
              </app-card>
            </div></div>

          </ng-template>
        </ngb-tab>
        <ngb-tab title="Domain Overview">
          <ng-template ngbTabContent>
            <div class= "row">
              <div class="col-md-6">
                <app-card cardTitle="Popular Domains & Subdomains" blockClass="table-border-style">
                  <div class="table-responsive">
                    <table class="table table-styling table-hover table-striped ">
                      <thead>
                      <tr>
                        <th>#   Domains & Subdomains</th>
                      </tr>
                      </thead>
                      <tbody>
                      <tr  *ngFor="let s of subs">
                        <td>{{s}}</td>
                      </tr>
                      </tbody>
                    </table>
                  </div>
                </app-card>
              </div>
              <!-- [ Contextual-table ] end -->
              <div class="col-md-6">
                <app-card cardTitle="Site Audit" [options]="false">
                  <app-apex-chart chartID="radial-bar-chart-1-cac" [chartConfig]="this.chartDB.radialBar1CAC"></app-apex-chart>
                </app-card>
              </div>
            </div>

            <div class="col-sm-12">
              <app-card cardTitle="Upcoming Events" [options]="false">
                <full-calendar [options]="calendarOptions"></full-calendar>
              </app-card>
            </div>



          </ng-template>
        </ngb-tab>
        <ngb-tab title="Jobs">
          <ng-template ngbTabContent>

            <div class="row">
              <!-- [ variant-chart ] start -->
              <div class="col-md-6">
                <app-card cardTitle="Share of time/interaction by/per search job engine" [options]="false">
                  <app-apex-chart chartID="pie-chart-1-cac" [chartConfig]="this.chartDB.pieSource"></app-apex-chart>
                </app-card>
              </div>
              <div class="col-md-6">
                <app-card cardTitle="Distribution of Job offers per location" [options]="false">
                  <app-apex-chart chartID="pie-chart-2-cac" [chartConfig]="this.chartDB.pieLocation"></app-apex-chart>
                </app-card>
              </div>
              <div class="col-md-6">

                <app-card cardTitle="Top in-demand job positions in 2022

                " [options]="false">
                  <app-apex-chart chartID="bar-chart-3-cac" [chartConfig]="this.chartDB.barJobs"></app-apex-chart>
                </app-card>
              </div>
              <div class="col-md-6"  style="padding: 0px">
                <app-card cardTitle="Wordcloud for Job offers"  blockClass="table-border-style" style="padding: 0px">
                  <img style="width: 100%" alt="My image name" src="./assets/images/wordcloud/wordcloud.png">

                </app-card>
              </div>
            </div>


          </ng-template>
        </ngb-tab>
        <ngb-tab title="Competitors">
          <ng-template ngbTabContent>

          </ng-template>
        </ngb-tab>


      </ngb-tabset>
    </app-card>
  </div>

